/* 
 *  $Id: PingProtocol.java,v 1.2 1997/08/28 18:34:44 djw Exp $
 *  
 *  Copyright 1996 Massachusetts Institute of Technology
 * 
 *  Permission to use, copy, modify, distribute, and sell this software and
 *  its documentation for any purpose is hereby granted without fee, provided
 *  that the above copyright notice appear in all copies and that both that
 *  copyright notice and this permission notice appear in supporting
 *  documentation, and that the name of M.I.T. not be used in advertising or
 *  publicity pertaining to distribution of the software without specific,
 *  written prior permission.  M.I.T. makes no representations about the
 *  suitability of this software for any purpose.  It is provided "as is"
 *  without express or implied warranty.
 * 
 */

package apps;

import ants.*;


/**
 * Ping protocol definition
 *
 * @author David Wetherall
 */

public class PingProtocol extends Protocol {
  
  public PingProtocol() throws Exception {
    startProtocolDefn();

    startGroupDefn();
    addCapsule("apps.PingCapsule");
    endGroupDefn();

    endProtocolDefn();
  }
}
